classification
Title: Tests break with --with-system-expat and Expat 2.2.0
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.2, Python 3.3, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: martin.panter, python-dev, sping, yan12125
Priority: normal Keywords: patch

Created on 2016-06-22 18:17 by sping, last changed 2016-07-14 04:58 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
0001-Fix-Python-2.7.11-tests-for-Expat-2.2.0.patch sping, 2016-06-22 18:17 Patch for 2.7.11
0001-Fix-Python-3.x.x-tests-for-Expat-2.2.0.patch sping, 2016-06-22 18:17 Patch for 3.x.x
issue27369.patch yan12125, 2016-07-07 09:06 Patch that uses assertRaisesRegex, target the default branch review
Messages (4)
msg269079 - (view) Author: (sping) Date: 2016-06-22 18:17
Expat commit
https://sourceforge.net/p/expat/code_git/ci/550eb6bbaa7e6efc44e94cab945fe9c781c01211 introduced with the recent release of Expat 2.2.0 fixed a bug that the current Python test suite relies on.

Attached you find patches to fix the test suite for all versions in a backwards-compatible way.  Please consider application upstream.  Thanks!

Best, Sebastian
msg269093 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-06-22 23:08
Thanks for the patches. This test was added in r74435, presumably to test for a crash. IMO it would be sufficient to test for the first part of the error message, without checking the column number. The test could also use assertRaisesRegex().

Should this actually be applied to all security versions, or just 3.5+ and 2.7? I guess can see the benefit of fixing 3.2+, and I remember doing this once before when the test suite fell over and it was not Python’s fault.
msg269927 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2016-07-07 09:06
Added a patch.
msg270357 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-14 03:37
New changeset 5b64175c6c24 by Martin Panter in branch '3.2':
Issue #27369: Don’t test error message detail that changed in Expat 2.2.0
https://hg.python.org/cpython/rev/5b64175c6c24

New changeset 1c06e02b968a by Martin Panter in branch '3.3':
Issue #27369: Merge test_pyexpat from 3.2 into 3.3
https://hg.python.org/cpython/rev/1c06e02b968a

New changeset 17ec4d58c046 by Martin Panter in branch '3.4':
Issue #27369: Merge test_pyexpat from 3.3 into 3.4
https://hg.python.org/cpython/rev/17ec4d58c046

New changeset 2d6e6600c210 by Martin Panter in branch '2.7':
Issue #27369: Don’t test error message detail that changed in Expat 2.2.0
https://hg.python.org/cpython/rev/2d6e6600c210

New changeset 0fbf3b88eed8 by Martin Panter in branch '3.5':
Issue #27369: Merge test_pyexpat from 3.4 into 3.5
https://hg.python.org/cpython/rev/0fbf3b88eed8

New changeset 31dc480102fc by Martin Panter in branch 'default':
Issue #27369: Merge test_pyexpat from 3.5
https://hg.python.org/cpython/rev/31dc480102fc
History
Date User Action Args
2016-07-14 04:58:59berker.peksagsettitle: [PATCH] Tests break with --with-system-expat and Expat 2.2.0 -> Tests break with --with-system-expat and Expat 2.2.0
stage: patch review -> resolved
2016-07-14 04:11:32benjamin.petersonsetstatus: open -> closed
resolution: fixed
2016-07-14 03:37:23python-devsetnosy: + python-dev
messages: + msg270357
2016-07-07 09:06:43yan12125setnosy: + yan12125
messages: + msg269927
2016-07-07 09:06:23yan12125setfiles: + issue27369.patch
2016-06-22 23:08:07martin.pantersetnosy: + martin.panter

messages: + msg269093
stage: patch review
2016-06-22 18:17:40spingsetfiles: + 0001-Fix-Python-3.x.x-tests-for-Expat-2.2.0.patch
2016-06-22 18:17:23spingcreate